Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 362879 - dev-cpp/{atk,gtk}mm installs libtool files referencing libpng14
Summary: dev-cpp/{atk,gtk}mm installs libtool files referencing libpng14
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: libpng-1.5
  Show dependency tree
 
Reported: 2011-04-10 16:04 UTC by Cesko Voeten
Modified: 2011-04-10 16:37 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cesko Voeten 2011-04-10 16:04:55 UTC
As per http://forums.gentoo.org/viewtopic-p-6647391.html
Problematic file: usr/lib64/libgdkmm-2.4.la

Reproducible: Always
Comment 1 Gilles Dartiguelongue gentoo-dev 2011-04-10 16:17:14 UTC
Please file a bug report with all information inside the bug report.
Comment 2 Samuli Suominen gentoo-dev 2011-04-10 16:30:38 UTC
Removed .la files from both atkmm and gtkmm per this report. Thanks for reporting.
Comment 3 Samuli Suominen gentoo-dev 2011-04-10 16:37:26 UTC
(In reply to comment #1)
> Please file a bug report with all information inside the bug report.

Like I just told on #gentoo-desktop at IRC:

The user provided all the required information there is to provide, the problem is in $summary and the problematic file is in Comment #0.

Solution:

- Remove the .la files from said package.
or
- Empty the dependency_libs to '' like what imagemagick/libcanberra and redland does now. See their ebuilds. This should only be done for packages that use libltdl for loading plugins, it shouldn't be applied to packages where they are simply useless.